/*
 *  Document   : custom.js
 *  Description: Custom javascript code used in sidebar.
 */

$(document).ready(function () {
	
	var isDeviceiOS = /iPad|iPhone|iPod/.test(navigator.userAgent);	
	if(isDeviceiOS) {		
		$('body').css("margin-top", "20px");
		$('div#ios-statusbar-fix').css("display", "block");
		$("div#sidebar").addClass("sidebar-menu-ios-fix");
	}	
	
    var customerInfo = JSON.parse(localStorage.getItem("customerInfo"));    
    if (customerInfo && customerInfo.customerId > 0) {
        if (customerInfo.customerName != "Guest") {
            $("li#loggedin-user").html('<a href="my-account-personal-details.html"><i class="fa fa-user"></i><span id="user-name"></span>');
            $("li#login-logout-link").html('<a id="logout" href="javascript:Logout()"><i class="fa fa-power-off"></i><span>Sign out</span>');
            $("li#loggedin-address").html('<a href="my-address.html"><i class="fa fa-book"></i><span>My Addresses</span></a>');
            $("li#loggedin-my-order").html('<a href="my-orders.html"><i class="fa fa-truck"></i><span>My Orders</span></a>');
        } else {
            $("li#loggedin-user").remove();
            $("li#loggedin-address").remove();
            $("li#loggedin-my-order").remove();
            $("li#login-logout-link").html('<a id="login" href="login.html"><i class="fa fa-power-off"></i><span>Login</span>');
        }
    } else {
        $("li#loggedin-user").remove();
        $("li#loggedin-address").remove();
        $("li#loggedin-my-order").remove();
        $("li#login-logout-link").html('<a id="login" href="login.html"><i class="fa fa-power-off"></i><span>Login</span>');
    }
});

$("li#toggle-sidebar").click(function (e) {
    if (e.handled != true) {
        $("body").toggleClass("body-hidden-overlay");
        $("section.site-content").toggleClass("main-container-not-clickable");
        $(".header-bottom.home-search-box").toggleClass("main-container-not-clickable");
        $(".header-bottom.custom-search-box").toggleClass("main-container-not-clickable");
        $("div#sidebar-open-overlay").toggleClass("sidebar-open-overlay").toggle();
        e.handled = true;
    }
});

$("div#sidebar-open-overlay").on('click', function (e) {
    if (e.handled != true) {
        $("div#page-container").removeClass("sidebar-visible-xs").removeClass("sidebar-visible-lg");
        $("body").toggleClass("body-hidden-overlay");
        $("section.site-content").toggleClass("main-container-not-clickable");
        $(".header-bottom.home-search-box").toggleClass("main-container-not-clickable");
        $(".header-bottom.custom-search-box").toggleClass("main-container-not-clickable");
        $("div#sidebar-open-overlay").toggleClass("sidebar-open-overlay").toggle();
        $("#toggle-sidebar").toggleClass('active');
        e.handled = true;
    }
});

$("li#right-sidebar").on('click', function (e) {
    if (e.handled != true) {
        $("div#page-container").removeClass("sidebar-visible-xs").removeClass("sidebar-visible-lg");
        $("body").removeClass("body-hidden-overlay");
        $("section.site-content").removeClass("main-container-not-clickable");
        $("div#sidebar-open-overlay").removeClass("sidebar-open-overlay").hide();
        $("#toggle-sidebar").removeClass('active');
        e.handled = true;
    }
});

$("div.product-detail-bottom div#cart-button").on('click', function (e) {
    $(".share-btn").removeClass("active");
    $("div.product-detail-bottom div#buynow-button").removeClass("active");
    $(this).toggleClass("active");
    var allowedQty = $("#allowedQuantity").text(); allowedQty == "" ? 0 : parseInt(allowedQty);
    var qty = $("#qty-input").val(); qty == "" ? 0 : parseInt(qty);
    if (e.handled != true) {
        if (allowedQty != '') {
            if (qty <= allowedQty) {               
                AddToCartOrWhishlistDummy(false, false);
                e.handled = true;
            }
            else {
                $("#notify").addClass("alert-message-error").show();                
                $("#msg").text("Maximum Allowed Quantity is " + allowedQty + ".");
                e.handled = true;
                return;
            }
        }
        else {
            AddToCartOrWhishlistDummy(false, false);
            e.handled = true;
        }
    } 
});

$("div.product-detail-bottom div#buynow-button").on('click', function (e) {
    $(".share-btn").removeClass("active");
    $("div.product-detail-bottom div#cart-button").removeClass("active");
    $(this).toggleClass("active");
    var allowedQty = $("#allowedQuantity").text(); allowedQty == "" ? 0 : parseInt(allowedQty);
    var qty = $("#qty-input").val(); qty == "" ? 0 : parseInt(qty);

    if (e.handled != true) {
        if (allowedQty != '') {
            if (qty <= allowedQty) {
                AddToCartOrWhishlistDummy(true, false);
                e.handled = true;
            }
            else {                             
                $("#notify").addClass("alert-message-error").show();                
                $("#msg").text("Maximum Allowed Quantity is " + allowedQty + ".");
                e.handled = true;
                return;
            }
        }
        else {
            AddToCartOrWhishlistDummy(true, false);
            e.handled = true;
        }
    }

});

$("input#product-review-button").on('click', function (e) {
    if (e.handled != true) {

        var paramProdcutId = 'productId';
        var url = window.location.href;
        customerId = GetCustomerIdFromLoacalStorage();
      
        if (url.indexOf('?' + paramProdcutId + '=') != -1) {
            var productId = parseInt(decodeURIComponent(window.location.search.match(/(\?|&)productId\=([^&]*)/)[2]));
            if (productId > 0 && customerId > 0) {
                AddProductReviewDummy();
            } else {
                window.location.href = 'login.html?url=' + url;
            }
        }
        e.handled = true;
    }
});

$("div#ProductReview").on('click', function (e) {
    if (e.handled != true) {
        var productId = parseInt($("div.product-image-wrapper > div#product-image > h1").attr("id"));
        customerId = GetCustomerIdFromLoacalStorage();
       
        //if (customerId == 0) {
        //    var retURL = window.location.href;
        //    window.location.href = 'login.html?retURL=' + retURL;
        //}

         if (productId > 0) {
            window.location.href = 'product-review.html?productId=' + productId;
        }
        e.handled = true;
    }
});
/* This JavaScript Used For Qty Input On Product Detail Page */
$("#qty-increment").on("click", function () {
    var qty = $("#qty-input").val();
    var newVal = parseFloat(qty) + 1;
    $("#qty-input").val(newVal);
});

$("#qty-decrement").on("click", function () {
    var qty = $("#qty-input").val();
    if (qty > 0) {
        var newVal = parseFloat(qty) - 1;
        $("#qty-input").val(newVal);
    }
});

/* This JavaScript Used For active icon in Header Section */
$("#toggle-sidebar").click(function () {
    $("#toggle-sidebar").toggleClass('active');
});
$(".nav.navbar-nav-custom.pull-right .li").click(function () {
    $(".nav.navbar-nav-custom.pull-right .li").toggleClass('active');
});

/* This JavaScript Used For Search Box */
$("#search-icon").on("click", function(){
    $("div.custom-search-box").toggle("custom-search-box");
    $("li#search-toggle-icon").toggleClass("active");
    $("section.new-section").toggleClass("search-content-padding");
});
$("section.site-content").on("click", function () {
    if ($("section.new-section").hasClass("search-content-padding")) {
        $("div.custom-search-box").toggle("custom-search-box");
        $("li#search-toggle-icon").toggleClass("active");
        $("section.new-section").toggleClass("search-content-padding");
    }    
});

/* This JavaScript Used For Filter on Category Page */
$("div.product-box-wrapper").on("click", function () {
    $("ul#Load-Filter > li > a").removeClass("open");
    $("ul#Load-Filter > li > a").next('ul').slideUp("slow");
});

$(function () {
    $("[data-hide]").on("click", function () {
        $(this).closest("." + $(this).attr("data-hide")).hide();
    });
});
/* This JavaScript Used For BacK Page */
function goBack() {
    history.go(-1);
}

function hideAlert(type) {
    if (type == "success") {        
        $("#notify").removeClass("alert-message-error");
        setTimeout(function () { $("#notify").addClass("alert-message-success").fadeOut(); }, 7000);
    }
    if (type == "error") {          
        $("#notify").removeClass("alert-message-success")
        setTimeout(function () { $("#notify").addClass("alert-message-error").fadeOut(); }, 7000);
    }
}

$("#register-phone").on('keyup keypress blur change', function (e) {
    if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
        return false;
    } else {
        if ($(this).val().length >= parseInt($(this).attr('maxlength')) && (e.which != 8 && e.which != 0)) {
            return false;
        }
    }
});

$("#phoneno").on('keyup keypress blur change', function (e) {
    if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
        return false;
    } else {
        if ($(this).val().length >= parseInt($(this).attr('maxlength')) && (e.which != 8 && e.which != 0)) {
            return false;
        }
    }
});

$("#billing-phone").on('keyup keypress blur change', function (e) {
    if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
        return false;
    } else {
        if ($(this).val().length >= parseInt($(this).attr('maxlength')) && (e.which != 8 && e.which != 0)) {
            return false;
        }
    }
});

$("#delivery-phone").on('keyup keypress blur change', function (e) {
    if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
        return false;
    } else {
        if ($(this).val().length >= parseInt($(this).attr('maxlength')) && (e.which != 8 && e.which != 0)) {
            return false;
        }
    }
});

$("#pincode").on('keyup keypress blur change', function (e) {
    if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
        return false;
    } else {
        if ($(this).val().length >= parseInt($(this).attr('maxlength')) && (e.which != 8 && e.which != 0)) {
            return false;
        }
    }
});

$("#billing-pincode").on('keyup keypress blur change', function (e) {
    if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
        return false;
    } else {
        if ($(this).val().length >= parseInt($(this).attr('maxlength')) && (e.which != 8 && e.which != 0)) {
            return false;
        }
    }
});

$("#delivery-pincode").on('keyup keypress blur change', function (e) {
    if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
        return false;
    } else {
        if ($(this).val().length >= parseInt($(this).attr('maxlength')) && (e.which != 8 && e.which != 0)) {
            return false;
        }
    }
});

$("#txtPincode").on('keyup keypress blur change', function (e) {
    if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
        return false;
    } else {
        if ($(this).val().length >= parseInt($(this).attr('maxlength')) && (e.which != 8 && e.which != 0)) {
            return false;
        }
    }
});